var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import Text from './Text';
import Image from './Image';
import Video from './Video';

var OpenBook = function (_React$PureComponent) {
  _inherits(OpenBook, _React$PureComponent);

  function OpenBook() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, OpenBook);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = OpenBook.__proto__ || Object.getPrototypeOf(OpenBook)).call.apply(_ref, [this].concat(args))), _this), _this.renderIcon = function () {
      if (_this.props.type === 'image') {
        return React.createElement(Image, null);
      }

      if (_this.props.type === 'video') {
        return React.createElement(Video, null);
      }

      return React.createElement(Text, null);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(OpenBook, [{
    key: 'render',
    value: function render() {
      return React.createElement(
        'svg',
        {
          xmlns: 'http://www.w3.org/2000/svg',
          width: this.props.size,
          height: this.props.size,
          viewBox: '0 0 64 64'
        },
        React.createElement(
          'defs',
          null,
          React.createElement(
            'linearGradient',
            { id: 'a', x1: '50%', x2: '50%', y1: '0%', y2: '100%' },
            React.createElement('stop', { offset: '97.072%', stopColor: '#F4F4F4' }),
            React.createElement('stop', { offset: '0%', stopColor: '#F2F2F2' })
          )
        ),
        React.createElement(
          'g',
          { fill: 'none', fillRule: 'evenodd' },
          React.createElement('path', { fill: '#49497F', d: 'M46.38 46.91C46.38 49.722 44 52 41.064 52h-24.66c-2.782 0-5.037-2.278-5.037-5.088V18.48c0-2.81 2.255-5.088 5.037-5.088h24.66c2.937 0 5.318 2.277 5.318 5.088v28.43z' }),
          React.createElement('path', { fill: 'url(#a)', d: 'M14.96 10.25h23a6 6 0 0 1 6 6v27a6 6 0 0 1-6 6h-23v-39z' }),
          React.createElement('path', { fill: '#878E91', d: 'M36.849 21.851h-15.7c-.356 0-.643-.363-.643-.811 0-.448.287-.812.643-.812h15.7c.356 0 .643.364.643.812 0 .448-.287.811-.643.811M36.849 26.79h-15.7c-.356 0-.643-.364-.643-.812 0-.448.287-.812.643-.812h15.7c.356 0 .643.364.643.812 0 .448-.287.811-.643.811M36.849 31.727h-15.7c-.356 0-.643-.363-.643-.811 0-.448.287-.812.643-.812h15.7c.356 0 .643.364.643.812 0 .448-.287.811-.643.811M36.849 36.217h-15.7c-.356 0-.643-.364-.643-.812 0-.448.287-.811.643-.811h15.7c.356 0 .643.363.643.811 0 .448-.287.812-.643.812M36.849 41.155h-15.7c-.356 0-.643-.364-.643-.812 0-.448.287-.811.643-.811h15.7c.356 0 .643.363.643.811 0 .448-.287.812-.643.812' }),
          React.createElement('path', { fill: '#49497F', d: 'M3.461 37.762c0 3.354 1.698 5.84 3.112 7.003 3.976 3.267 5.202 4.936 6.93 6.336-.46-2.8-.854-16.137-1.181-40.009 0-2.04-1.58-3.886-4.739-5.54-1.874-2.334-3.98-3.12-3.98-.062-.095 16.1-.142 26.858-.142 32.272z' }),
          React.createElement('path', { fill: '#BCBCBC', d: 'M14.957 10.25L8.434 4.04c-1.201-1.142-2.175-.46-2.175 1.522v31.424c0 1.984.974 4.518 2.175 5.661l6.523 6.21V10.25z' }),
          React.createElement('path', { fill: '#D8D8D8', d: 'M14.957 10.25L10.1 3.145c-.894-1.308-1.619-.76-1.619 1.223v31.424c0 1.983.725 4.651 1.62 5.96l4.855 7.104V10.25z' }),
          React.createElement(
            'g',
            { fillRule: 'nonzero' },
            React.createElement('path', { fill: '#F06361', d: 'M30.624 10.25v43.994l-3.73-1.658-3.726 1.658-.04-43.994z' }),
            React.createElement('path', { fill: '#C64757', d: 'M21.367 8.006h7.52l1.737 2.244H19.669s-.015-2.244 1.698-2.244z' }),
            React.createElement('path', { fill: '#F06361', d: 'M21.398 8.006h7.494s1.732 0 1.732 2.244h-7.469s.015-2.244-1.757-2.244z' })
          )
        ),
        this.renderIcon()
      );
    }
  }]);

  return OpenBook;
}(React.PureComponent);

OpenBook.defaultProps = {
  size: 64
};

OpenBook.propTypes = {
  size: PropTypes.number,
  type: PropTypes.oneOf(['image', 'text', 'video']).isRequired
};

export default OpenBook;